Exclude autoload_static.php #23935

Merged
merged 1 commit into from Apr 12, 2016

Projects

None yet

6 participants

@LukasReschke
Member

Composer 1.1 has since yesterday a new performance improvement that will be automatically used for PHP >= 5.6, however this file is incompatible with older PHP versions and thus we need to exclude it from the checks.

Note that this performance improvement is only used on >= 5.6 so ownCloud will still run fine on older PHP versions as well.

@DeepDiver1975

@LukasReschke LukasReschke Exclude autoload_static.php
Composer 1.1 has since yesterday a new performance improvement that will be automatically used for PHP >= 5.6, however this file is incompatible with older PHP versions and thus we need to exclude it from the checks.

Note that this performance improvement is only used on >= 5.6 so ownCloud will still run fine on older PHP versions as well.
23ec76a
@mention-bot

By analyzing the blame information on this pull request, we identified @DeepDiver1975 and @nickvergessen to be potential reviewers

@DeepDiver1975 DeepDiver1975 added this to the 9.1-current milestone Apr 12, 2016
@DeepDiver1975
Member

Nice - THX

@nickvergessen
Contributor

Exclude from https://github.com/owncloud/core/tree/master/apps/files_external/3rdparty/composer as well, in case it ever gets an update?

@DeepDiver1975
Member

Travis is green - let's merge - I want my PRs succeed ๐Ÿ‘

@DeepDiver1975 DeepDiver1975 merged commit 276b8a5 into master Apr 12, 2016

3 of 4 checks passed

continuous-integration/travis-ci/pr The Travis CI build is in progress
Details
Scrutinizer No new issues
Details
cla-bot-core Build #2983 succeeded in 10 sec
Details
server-master-linux-php5.4-ci/database=sqlite,label=SLAVE Build #1940 succeeded in 20 min
Details
@DeepDiver1975 DeepDiver1975 deleted the exclude-autoload-static branch Apr 12, 2016
@DeepDiver1975
Member

Just seen on stable9 pr - we need to backport this

@DeepDiver1975 DeepDiver1975 self-assigned this Apr 12, 2016
@DeepDiver1975 DeepDiver1975 added a commit that referenced this pull request Apr 12, 2016
@LukasReschke @DeepDiver1975 LukasReschke + DeepDiver1975 Exclude autoload_static.php (#23935)
Composer 1.1 has since yesterday a new performance improvement that will be automatically used for PHP >= 5.6, however this file is incompatible with older PHP versions and thus we need to exclude it from the checks.

Note that this performance improvement is only used on >= 5.6 so ownCloud will still run fine on older PHP versions as well.
6e8adea
@MorrisJobke
Member

@DeepDiver1975 Could we backport this to stable8.2? #24008 fails for the same reason.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment